package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (验收记录表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:06
 * @describe (验收记录表) 实体类
 */
@Data
@TableName(value = "acceptance_record_form", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(验收记录表)")
public class AcceptanceRecordForm extends BaseEntity {

    /**
     * (验收结论)
     */
    @ApiModelProperty(value="(验收结论)")
    private String acceptanceConclusion;

    /**
     * 部门负责人审核时间
     */
    @ApiModelProperty(value="部门负责人审核时间")
    private LocalDateTime auditTimeOfDepartment;

    /**
     * (验收日期)
     */
    @ApiModelProperty(value="(验收日期)")
    private LocalDateTime dateOfAcceptance;

    /**
     * (部门负责人审核意见)
     */
    @ApiModelProperty(value="(部门负责人审核意见)")
    private String auditOpinionOfDepartment;

    /**
     * (部门负责人ID)
     */
    @ApiModelProperty(value="(部门负责人ID)")
    private String departmentHeadId;

    /**
     * (后续处理情况)
     */
    @ApiModelProperty(value="(后续处理情况)")
    private String followUpTreatment;

    /**
     * (不合格项目)
     */
    @ApiModelProperty(value="(不合格项目)")
    private String nonconformingItem;

    /**
     * (二级审核意见)
     */
    @ApiModelProperty(value="(二级审核意见)")
    private String auditOpinionOfSecondary;

    /**
     * (二级审核人ID)
     */
    @ApiModelProperty(value="(二级审核人ID)")
    private String secondaryAuditorId;

    /**
     * (二级审核时间)
     */
    @ApiModelProperty(value="(二级审核时间)")
    private String auditTimeOfSecondary;

    /**
     * (试剂耗材ID)
     */
    @ApiModelProperty(value="(试剂耗材ID)")
    private String reagentConsumableId;

    /**
     * (一级审核意见)
     */
    @ApiModelProperty(value="(一级审核意见)")
    private String auditOpinionOfPrimary;

    /**
     * (一级审核时间)
     */
    @ApiModelProperty(value="(一级审核时间)")
    private LocalDateTime auditTimeOfPrimary;

    /**
     * (一级审核人ID)
     */
    @ApiModelProperty(value="(一级审核人ID)")
    private String primaryAuditorId;

    /**
     * 签收批次明细ID
     */
    @ApiModelProperty(value="签收批次明细ID")
    private String signedBatchListId;

    /**
     * acceptanceRecordFormId
     */
    @TableId(value = "acceptance_record_form_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="acceptanceRecordFormId")
    private String acceptanceRecordFormId;

    /**
     * 一级审核结果
     */
    @ApiModelProperty(value="一级审核结果")
    private String auditResultOfPrimary;

    /**
     * 部门负责人审核结果
     */
    @ApiModelProperty(value="部门负责人审核结果")
    private String auditResultOfDepartment;

    /**
     * (二级审核结果)
     */
    @ApiModelProperty(value="(二级审核结果)")
    private String auditResultOfSecondary;






}
