package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.reagent.dto.SigningRecordFormDTO;
import digital.laboratory.platform.reagent.entity.SignedBatchList;
import digital.laboratory.platform.reagent.entity.SigningRecordForm;
import digital.laboratory.platform.reagent.vo.SigningRecordFormVO;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 签收记录表服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe 签收记录表 服务类
 */
public interface SigningRecordFormService extends IService<SigningRecordForm> {
//    IPage<SigningRecordFormVO> getSigningRecordFormVOPage (IPage<SigningRecordForm> page, QueryWrapper<SigningRecordForm> qw);

//    List<SigningRecordFormVO> getSigningRecordFormVOList (QueryWrapper<SigningRecordForm> qw);

    SigningRecordFormVO getSigningRecordFormVO (String signingRecordFormId);


    @Transactional
    Boolean addFormById(List<SigningRecordFormDTO> signingRecordFormDTOList, DLPUser dlpUser);

    SignedBatchList editFormById(SigningRecordFormDTO signingRecordFormDTO);
}
